package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizCarrier;
import cn.ezhizao.project.business.domain.BizDaywork;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;


/**
 * 报工Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-29
 */
public interface BizDayworkMapper extends BaseMapper<BizDaywork> {
    /**
     * 查询报工列表
     *
     * @param bizDaywork 报工
     * @return 报工集合
     */
    public List<BizDaywork> getList(BizDaywork bizDaywork);
    public BizDaywork getDayworkInfoById(BizDaywork bizDaywork);

    /**
     * 物理删除
     *
     * @param bizDaywork
     * @return 删除结果
     */
    public int physicalDelete(BizDaywork bizDaywork);

    /**
     * 物理删除
     *
     * @param bizDaywork
     * @return 删除结果
     */
    public int turnoverDelete(BizDaywork bizDaywork);
    public BizDaywork getLotInfo(BizDaywork bizDaywork);

    /**
     *  获取可用载具列表,用来扫一扫添加新批次
     * @param bizCarrier 载具信息
     */
    public List<BizCarrier> getAvailableCarrierList(BizCarrier bizCarrier);

    /**
     * 判断批数不能大于投产批数
     */
    public Integer getLotNumber(Long productionPlanDetailId);

    public Integer getdayworkNum(Long productionPlanDetailId);
}
